Qrail 2.4.22 Installation schlägt fehl

Alle Fragen rund um die PC Software Qrail
Antworten
FRC
Beiträge: 10
Registriert: 18.03.2018, 13:24

Qrail 2.4.22 Installation schlägt fehl

Beitrag von FRC » 15.10.2019, 15:40

Liebe Experten

Ich wollte heute Qrail auf die Version 2.4.22 (Windowsversion) upgraden und dies schlägt fehl.

Nachdem der Upgrade nicht funktioniert hat, habe ich Qrail komplett deinstalliert und die neueste Version runtergeladen und erhalte bei der Installation einen Fehler. Einen Printscreen der Fehlermeldung habe ich beigefügt. In der Fehlermeldung wird auch auf ein Log verwiesen, diese habe ich auch beigelegt.

Folgende Meldung im Log macht mich stutzig: Corrupted pack file: magic/ver = CAFED00D/171.0 should be CAFED00D/150.7 OR CAFED00D/160.1

Ach ja, ich nutze Windows 10. Hilft sicher dies zu wissen.
Ich habe bereits versucht die Installation als Admin durchzuführen, dann ohne Firewall und Virenschutz, irgendwie hat nichts zum Ziel geführt.

Hat jemand irgendeine Idee?

Danke und Grüsse
Christoph


--- leider kann ich kein txt, log oder PDF Datei hinzufügen, daher nur die letzten Zeilen des Logfiles.

[2019-10-15 15:03:54.926]: deleting file: C:\Program Files\qrail\platform\modules\locale\org-netbeans-swing-tabcontrol_ru.jar.pack.gz
[2019-10-15 15:03:54.927]: extracting C:\Program Files\qrail\platform\modules\locale\org-openide-util-enumerations_ja.jar.pack.gz
[2019-10-15 15:03:54.928]: executing command: C:\Program Files\Java\jre7\bin\unpack200.exe C:\Program Files\qrail\platform\modules\locale\org-openide-util-enumerations_ja.jar.pack.gz C:\Program Files\qrail\platform\modules\locale\org-openide-util-enumerations_ja.jar, in directory: .
[2019-10-15 15:03:54.949]: [return]: 0
[2019-10-15 15:03:54.949]: ... command execution finished
[2019-10-15 15:03:54.949]: deleting file: C:\Program Files\qrail\platform\modules\locale\org-openide-util-enumerations_ja.jar.pack.gz
[2019-10-15 15:03:54.951]: extracting C:\Program Files\qrail\platform\modules\locale\org-openide-util-enumerations_ru.jar.pack.gz
[2019-10-15 15:03:54.952]: executing command: C:\Program Files\Java\jre7\bin\unpack200.exe C:\Program Files\qrail\platform\modules\locale\org-openide-util-enumerations_ru.jar.pack.gz C:\Program Files\qrail\platform\modules\locale\org-openide-util-enumerations_ru.jar, in directory: .
[2019-10-15 15:03:54.971]: [return]: 0
[2019-10-15 15:03:54.971]: ... command execution finished
[2019-10-15 15:03:54.971]: deleting file: C:\Program Files\qrail\platform\modules\locale\org-openide-util-enumerations_ru.jar.pack.gz
[2019-10-15 15:03:54.972]: extracting C:\Program Files\qrail\qrail\modules\com-qelectronics-qrail-programmer-firmware.jar.pack.gz
[2019-10-15 15:03:54.974]: executing command: C:\Program Files\Java\jre7\bin\unpack200.exe C:\Program Files\qrail\qrail\modules\com-qelectronics-qrail-programmer-firmware.jar.pack.gz C:\Program Files\qrail\qrail\modules\com-qelectronics-qrail-programmer-firmware.jar, in directory: .
[2019-10-15 15:03:54.993]: [stdout]: Corrupted pack file: magic/ver = CAFED00D/171.0 should be CAFED00D/150.7 OR CAFED00D/160.1
[2019-10-15 15:03:54.993]: [stdout]:
[2019-10-15 15:03:54.993]: [return]: -1
[2019-10-15 15:03:54.993]: ... command execution finished
[2019-10-15 15:03:54.994]: org.netbeans.installer.utils.exceptions.InstallationException: Cannot extract installation data for Qrail
[2019-10-15 15:03:54.994]: at org.netbeans.installer.product.components.Product.install(Product.java:305)
[2019-10-15 15:03:54.994]: at org.netbeans.installer.wizard.components.actions.InstallAction.execute(InstallAction.java:155)
[2019-10-15 15:03:54.994]: at org.netbeans.installer.wizard.components.WizardAction$1.run(WizardAction.java:123)
[2019-10-15 15:03:54.994]: Caused by: java.io.IOException: Unpack200 finished with error
[2019-10-15 15:03:54.994]: Error code: -1
[2019-10-15 15:03:54.994]: Stdout: Corrupted pack file: magic/ver = CAFED00D/171.0 should be CAFED00D/150.7 OR CAFED00D/160.1
[2019-10-15 15:03:54.994]:
[2019-10-15 15:03:54.994]:
[2019-10-15 15:03:54.995]: Stderr:
[2019-10-15 15:03:54.995]: at org.netbeans.installer.utils.FileUtils.unpack(FileUtils.java:1278)
[2019-10-15 15:03:54.995]: at org.netbeans.installer.utils.FileUtils.extractByList(FileUtils.java:1813)
[2019-10-15 15:03:54.995]: at org.netbeans.installer.utils.FileUtils.extractAll(FileUtils.java:1733)
[2019-10-15 15:03:54.995]: at org.netbeans.installer.utils.FileUtils.unjar(FileUtils.java:1105)
[2019-10-15 15:03:54.995]: at org.netbeans.installer.product.components.Product.install(Product.java:295)
[2019-10-15 15:03:54.995]: ... 2 more
[2019-10-15 15:03:54.995]: NameResolver - to parse Canceling, rolling back {0}...
[2019-10-15 15:03:54.996]: Start rollback of Qrail(qrailrcp/1.0.0.0.0)
[2019-10-15 15:03:54.997]: ... deleting installed files
[2019-10-15 15:03:54.997]: ... finished rollbacking of Qrail(qrailrcp/1.0.0.0.0)
[2019-10-15 15:03:54.997]: org.netbeans.installer.utils.exceptions.InstallationException: Cannot extract installation data for Qrail
[2019-10-15 15:03:54.997]: at org.netbeans.installer.product.components.Product.install(Product.java:305)
[2019-10-15 15:03:54.997]: at org.netbeans.installer.wizard.components.actions.InstallAction.execute(InstallAction.java:155)
[2019-10-15 15:03:54.997]: at org.netbeans.installer.wizard.components.WizardAction$1.run(WizardAction.java:123)
[2019-10-15 15:03:54.998]: Caused by: java.io.IOException: Unpack200 finished with error
[2019-10-15 15:03:54.998]: Error code: -1
[2019-10-15 15:03:54.998]: Stdout: Corrupted pack file: magic/ver = CAFED00D/171.0 should be CAFED00D/150.7 OR CAFED00D/160.1
[2019-10-15 15:03:54.998]:
[2019-10-15 15:03:54.998]:
[2019-10-15 15:03:54.998]: Stderr:
[2019-10-15 15:03:54.998]: at org.netbeans.installer.utils.FileUtils.unpack(FileUtils.java:1278)
[2019-10-15 15:03:54.998]: at org.netbeans.installer.utils.FileUtils.extractByList(FileUtils.java:1813)
[2019-10-15 15:03:54.998]: at org.netbeans.installer.utils.FileUtils.extractAll(FileUtils.java:1733)
[2019-10-15 15:03:54.998]: at org.netbeans.installer.utils.FileUtils.unjar(FileUtils.java:1105)
[2019-10-15 15:03:54.998]: at org.netbeans.installer.product.components.Product.install(Product.java:295)
[2019-10-15 15:03:54.998]: ... 2 more
[2019-10-15 15:03:54.998]: ... finished products installation
[2019-10-15 15:03:55.005]: NameResolver - to parse &Help!
[2019-10-15 15:03:55.006]: NameResolver - to parse < &Back
[2019-10-15 15:03:55.006]: NameResolver - to parse &Finish
[2019-10-15 15:03:55.007]: NameResolver - to parse Cancel
[2019-10-15 15:03:55.007]: NameResolver - to parse &Finish
[2019-10-15 15:03:55.009]: NameResolver - to parse text/html
[2019-10-15 15:03:55.011]: NameResolver - to parse <html><b><font size="+1">Installation Failed</font></b><br><br><br><span color="red">{0} has not been installed on your computer.</span><br><br>Try to run installer again or consult the installation log file for more details:<br>{1}</span></html>
[2019-10-15 15:03:55.018]: NameResolver - to parse Setup Complete
[2019-10-15 15:03:55.019]: NameResolver - to parse Setup Complete
[2019-10-15 15:03:55.019]: NameResolver - to parse Setup Complete
[2019-10-15 15:03:55.020]: NameResolver - to parse Setup Complete
[2019-10-15 15:03:55.020]: NameResolver - to parse Click Finish to finish Qrail setup.
[2019-10-15 15:03:55.037]: NameResolver - to parse Setup Complete
[2019-10-15 15:03:55.037]: NameResolver - to parse Click Finish to finish Qrail setup.
[2019-10-15 15:20:50.985]: entering -- org.netbeans.installer.wizard.components.actions.FinalizeRegistryAction.execute():66
[2019-10-15 15:20:50.985]: finalizing product registry
[2019-10-15 15:20:50.985]: ... removing remaining installation data for all the products
[2019-10-15 15:20:50.985]: deleting file: C:\Users\dell\.qrailrcp-installer\tmp\data,1.jar
[2019-10-15 15:20:50.992]: ... save local registry if necessary
[2019-10-15 15:20:50.992]: ... save registry to file C:\Users\dell\.qrailrcp-installer\registry.xml
[2019-10-15 15:20:50.992]: entering -- org.netbeans.installer.product.Registry.finalizeRegistry():349
[2019-10-15 15:20:50.993]: saving product registry file
[2019-10-15 15:20:50.993]: ... getting registry document
[2019-10-15 15:20:51.009]: ... saving registry document to file C:\Users\dell\.qrailrcp-installer\registry.xml
[2019-10-15 15:20:51.009]: entering -- org.netbeans.installer.product.Registry.saveProductRegistry():1027
[2019-10-15 15:20:51.009]: saving document to xml file : C:\Users\dell\.qrailrcp-installer\registry.xml
[2019-10-15 15:20:51.142]: ... document saved
[2019-10-15 15:20:51.142]: exiting -- org.netbeans.installer.product.Registry.saveProductRegistry():1027
[2019-10-15 15:20:51.142]: ... saving XML file succesfully finished
[2019-10-15 15:20:51.143]: ... saving product registry done
[2019-10-15 15:20:51.143]: exiting -- org.netbeans.installer.product.Registry.finalizeRegistry():349
[2019-10-15 15:20:51.143]: ... save state file if necessary
[2019-10-15 15:20:51.143]: finalizing product registry
[2019-10-15 15:20:51.143]: exiting -- org.netbeans.installer.wizard.components.actions.FinalizeRegistryAction.execute():66
Dateianhänge
Qrail_error.png
Qrail_error.png (14.18 KiB) 993 mal betrachtet

support.ch
Beiträge: 148
Registriert: 03.04.2015, 15:28
Wohnort: 5426 Lengnau AG
Kontaktdaten:

Re: Qrail 2.4.22 Installation schlägt fehl

Beitrag von support.ch » 15.10.2019, 23:43

Salü Christoph

Hast Du nach dem Löschen die Java Installation nochmals gemacht? Möglicherweise fehlt die, wenn Du "nur" einen Download der QRail-Software von der Homepage machst.

Ich würde empfehlen, zuerst nochmals die alte Version ab CD zu installieren, wenn diese läuft dann den Update übe das Hilfemenu vornehmen, sofern der Update dann nicht automatisch abläuft.
Es ist sicher sinnvoll all die Sachen wie Firewall, Virenschutz temporär auszuschalten.

Bei mir hat der Update mit Windows 10 problemlos geklappt.

Gruss aus der Schweiz
Bruno Ineichen
support.ch; Bruno Ineichen / www.qdecoder.ch
meine persönliche Anlage: www.eichenstadt.ch
3-Leiter / 2 x DCC - Lenz zum Fahren und Schalten / Loconet mit Blücher GBM / TrainController Gold / Qdecoder

FRC
Beiträge: 10
Registriert: 18.03.2018, 13:24

Re: Qrail 2.4.22 Installation schlägt fehl

Beitrag von FRC » 16.10.2019, 20:34

Hoi Bruno

Danke für deinen Input.

Ich habe wie du vorgeschlagen hast eine ältere Version installiert. Das funktioniert tadellos. Anschliessend habe den Update gestartet, auch dies hat funktioniert. Anschliessend habe ich Qrail geschlossen und versucht neu zu starten. Hier erhalte ich dann einen Fehler, siehe Printscreen.

(Virenscaner und Firewall sind ausgeschaltet.)

Weisst du einen weiteren Rat?

Grüsse
Christoph
Dateianhänge
error.png
error.png (22.01 KiB) 942 mal betrachtet

FRC
Beiträge: 10
Registriert: 18.03.2018, 13:24

Re: Qrail 2.4.22 Installation schlägt fehl

Beitrag von FRC » 16.10.2019, 21:00

Hallo Bruno

Ich habe es gefunden. Ein bisschen googeln hilft. Die Fehlermeldung hat auf Java Version mismatch hingedeutet. Ich habe anschliessend die aktuellste Version von Java installiert und nun startet Qrail.

Grüsse
Christoph

support.ch
Beiträge: 148
Registriert: 03.04.2015, 15:28
Wohnort: 5426 Lengnau AG
Kontaktdaten:

Re: Qrail 2.4.22 Installation schlägt fehl

Beitrag von support.ch » 16.10.2019, 21:06

Google hilft immer wieder 😁
Schön, dass es nun funktioniert.
support.ch; Bruno Ineichen / www.qdecoder.ch
meine persönliche Anlage: www.eichenstadt.ch
3-Leiter / 2 x DCC - Lenz zum Fahren und Schalten / Loconet mit Blücher GBM / TrainController Gold / Qdecoder

Antworten